#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvKmsKapiGetFunctionsTable, 0x96c1aaa0, "");
SYMBOL_CRC(nvKmsKapiF16ToF32, 0x5bf8ab0d, "");
SYMBOL_CRC(nvKmsKapiF32ToF16, 0x5312b4e7, "");
SYMBOL_CRC(nvKmsKapiF32Mul, 0x034b05b8, "");
SYMBOL_CRC(nvKmsKapiF32Div, 0x661c5342, "");
SYMBOL_CRC(nvKmsKapiF32Add, 0xaf4cf778, "");
SYMBOL_CRC(nvKmsKapiF32ToUI32RMinMag, 0x2aaaa051, "");
SYMBOL_CRC(nvKmsKapiUI32ToF32, 0x6137753d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x157edc00, "filp_open" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x78ba2a14, "param_ops_uint" },
	{ 0xbf338477, "backlight_device_unregister" },
	{ 0x7775a2ef, "vmalloc_to_page" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xbead7139, "fget" },
	{ 0xcf2a6966, "up" },
	{ 0x3658f2df, "proc_mkdir_mode" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb67e9519, "seq_lseek" },
	{ 0x782a8668, "proc_create_data" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x7024f531, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fec1128, "nvidia_get_rm_ops" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x2072936, "cdev_add" },
	{ 0x89530cd4, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x9166fada, "strncpy" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa96f11a1, "kthread_stop" },
	{ 0xd20b61e5, "freezing_slow_path" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0xdcb764ad, "memset" },
	{ 0xfd745894, "param_ops_charp" },
	{ 0xf86cf7c3, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x223cedc9, "proc_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7746e4c9, "kthread_create_on_node" },
	{ 0xd0fdaf4f, "seq_read" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcc8cc34, "param_ops_bool" },
	{ 0x819b2b8e, "filp_close" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x6f3555a1, "backlight_device_register" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x74eeaa46, "seq_puts" },
	{ 0xe8a8db2b, "single_release" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x9e4886ab, "kmalloc_trace" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x98cf60b3, "strlen" },
	{ 0x712257da, "param_ops_int" },
	{ 0x980c0b6a, "single_open" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x57191ddc, "cdev_init" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x211e363e, "kmalloc_caches" },
	{ 0x5888e093, "cdev_del" },
	{ 0xd1e59205, "module_layout" },
};

MODULE_INFO(depends, "video,nvidia");


MODULE_INFO(srcversion, "72CC59CE1C9F37BD9FDDC63");

MODULE_INFO(suserelease, "SLFO-1.0");
