#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "_gpl");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages_persistent, 0x970adefe, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages_persistent, 0xacdf3914, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0x925f87d1, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0x48bfd0de, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0xcdb8b661, "_gpl");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0x1a26eba3, "_gpl");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0x432c2e64, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0xf2e03a31, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0x3caccbee, "_gpl");
SYMBOL_CRC(nvidia_get_rm_ops, 0x1fec1128, "_gpl");
SYMBOL_CRC(nvidia_register_error_cb, 0x3d58b269, "");
SYMBOL_CRC(nvidia_unregister_error_cb, 0x03d46922, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0x92bc191d, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0xbd9bc90d, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x972eb9e1, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xb000909e, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xe701a2bb, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x7f03ef2d, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x698f6a77, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0x0aa90502, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0x525172f0, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x90df6793, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x04ca663e, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0xccdb149b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0x0ffab807, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0x55b4744b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceTsgAllocate, 0x71de450f, "");
SYMBOL_CRC(nvUvmInterfaceTsgDestroy, 0xe45112d9, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0xb783c89d, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0x9a138db2, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0xeb1a59ab, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0xdf8b46ca, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x534759f3, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x246cbff7, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd18cb4c2, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0x51f732db, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0xf1d38ffd, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0xa452244c, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x1138c8e8, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xec03a88a, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0x425912fc, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x1ebf5deb, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0x5b7e7949, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0xe49893bd, "");
SYMBOL_CRC(nvUvmInterfaceFlushReplayableFaultBuffer, 0xd9b60cd6, "");
SYMBOL_CRC(nvUvmInterfaceTogglePrefetchFaults, 0xbef3c5d7, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0x064a6a01, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0x7b23607e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x9b02e313, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceGetNvlinkInfo, 0x49f1262d, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xf7419bbb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0x203a44d1, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPhysAddrs, 0xafd0008b, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x9ad73756, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0x710977d6, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0x69eb8138, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelAllocate, 0x89e0959d, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelDestroy, 0x892a63e7, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsMap, 0x6fcca1a3, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsUnmap, 0x36e57696, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelPushStream, 0x942fa6aa, "");
SYMBOL_CRC(nvUvmInterfaceReportFatalError, 0xe02a9acb, "");
SYMBOL_CRC(nvUvmInterfaceCslInitContext, 0xb759d51b, "");
SYMBOL_CRC(nvUvmInterfaceDeinitCslContext, 0x7f450da8, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateKey, 0x85c7cadd, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateIv, 0xd15a3e1c, "");
SYMBOL_CRC(nvUvmInterfaceCslEncrypt, 0x2c22b46f, "");
SYMBOL_CRC(nvUvmInterfaceCslDecrypt, 0x9ee2976a, "");
SYMBOL_CRC(nvUvmInterfaceCslSign, 0xc1f02f56, "");
SYMBOL_CRC(nvUvmInterfaceCslQueryMessagePool, 0x1b556dea, "");
SYMBOL_CRC(nvUvmInterfaceCslIncrementIv, 0x5d784826, "");
SYMBOL_CRC(nvUvmInterfaceCslLogEncryption, 0x7bfbe5eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0x36850487, "pci_iounmap" },
	{ 0x1a5d500a, "iterate_fd" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x57191ddc, "cdev_init" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x3a532afa, "init_pid_ns" },
	{ 0x980c0b6a, "single_open" },
	{ 0x2736ee60, "pci_restore_state" },
	{ 0xb0db11ef, "pci_enable_atomic_ops_to_root" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x28a79050, "device_destroy" },
	{ 0xb2d46ccc, "module_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0xd686ac9, "kmem_cache_alloc" },
	{ 0x6d73c95f, "logic_outw" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf8ba5ce5, "crypto_shash_update" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x914d91d, "vmf_insert_pfn_prot" },
	{ 0x89530cd4, "fput" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x968f39bc, "pci_write_config_byte" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e4886ab, "kmalloc_trace" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7775646, "pci_get_domain_bus_and_slot" },
	{ 0x88f6d787, "vmap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xedc03953, "iounmap" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x52e518e6, "follow_pfn" },
	{ 0x116854e0, "vga_set_legacy_decoding" },
	{ 0xa9dfbbc6, "pci_disable_device" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x58256e90, "node_data" },
	{ 0x60259e15, "__folio_put" },
	{ 0x97d9234d, "pci_rebar_get_possible_sizes" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x906e69aa, "dma_buf_attach" },
	{ 0x618911fc, "numa_node" },
	{ 0xea59f1de, "crypto_shash_tfm_digest" },
	{ 0xece784c2, "rb_first" },
	{ 0x9f17c067, "pcie_capability_read_word" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x89ed5039, "i2c_add_adapter" },
	{ 0xea6320da, "pci_get_class" },
	{ 0x2072936, "cdev_add" },
	{ 0xe4b86188, "dma_buf_detach" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x668b19a1, "down_read" },
	{ 0xf311a403, "get_task_pid" },
	{ 0x905b0a56, "pm_vt_switch_unregister" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8c78cf7, "offline_and_remove_memory" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x211e363e, "kmalloc_caches" },
	{ 0x2e2c4ddc, "logic_inw" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xa38f4832, "dma_set_mask" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc6cbbc89, "capable" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf7e28f04, "crypto_aead_setkey" },
	{ 0xbe8009f4, "__pci_register_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd0fdaf4f, "seq_read" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x933ebf27, "dma_sync_sg_for_device" },
	{ 0x2a9b8bbf, "dma_sync_single_for_device" },
	{ 0x5a921311, "strncmp" },
	{ 0x444fa55b, "dma_buf_unmap_attachment" },
	{ 0x7406cffc, "remove_proc_entry" },
	{ 0x3658f2df, "proc_mkdir_mode" },
	{ 0x201d5c50, "pci_write_config_dword" },
	{ 0x23aec3a3, "pcie_reset_flr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xeeb5c0cf, "pci_read_config_dword" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x98cf60b3, "strlen" },
	{ 0x832002f0, "vm_insert_page" },
	{ 0x66756da7, "remap_pfn_range" },
	{ 0xa7369ae4, "crypto_destroy_tfm" },
	{ 0x2a358256, "find_vma_intersection" },
	{ 0x6fbb8856, "sg_alloc_table_from_pages_segment" },
	{ 0xce807a25, "up_write" },
	{ 0x2567b2fe, "device_create" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa76b31a2, "crypto_ecdh_shared_secret" },
	{ 0x7744bbd7, "pci_enable_device" },
	{ 0xd069c0e0, "crypto_alloc_aead" },
	{ 0x1ee3aa3d, "pci_set_master" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3f7dbea0, "pci_dev_put" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xdca8c3d4, "logic_outb" },
	{ 0xe8a8db2b, "single_release" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x782a8668, "proc_create_data" },
	{ 0x3bf17755, "mpi_read_buffer" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67e9519, "seq_lseek" },
	{ 0xff46b161, "pci_read_config_byte" },
	{ 0xfa2f9ea7, "pci_write_config_word" },
	{ 0x23458c3e, "dma_buf_export" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xd57a184a, "pci_assign_unassigned_bus_resources" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x197c8487, "task_active_pid_ns" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xd37283e0, "iov_iter_kvec" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56c22078, "dev_driver_string" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x216ba19f, "pci_request_regions" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x85bd1608, "__request_region" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x7f87f649, "device_property_read_u64_array" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7918d817, "memory_failure" },
	{ 0xa6257a2f, "complete" },
	{ 0x97c37a64, "pci_read_config_word" },
	{ 0xcf8670e0, "crypto_aead_decrypt" },
	{ 0xfcc1edd3, "memory_block_size_bytes" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x188a1647, "ecc_is_pubkey_valid_full" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe677e393, "kmem_cache_destroy" },
	{ 0x92997ed8, "_printk" },
	{   0xa849, "set_page_dirty_lock" },
	{ 0xb6fde909, "close_fd" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xb8820c62, "kernel_write" },
	{ 0xed4ae15e, "ecc_make_pub_key" },
	{ 0x7e4c3df5, "efi" },
	{ 0xd5b41dee, "pid_vnr" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x25f1f4f1, "class_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x80d5e57a, "mpi_free" },
	{ 0xec0d5ec, "pci_disable_msix" },
	{ 0x999e8297, "vfree" },
	{ 0xb01dac9e, "dma_set_coherent_mask" },
	{ 0x6531b58e, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xea6a8548, "public_key_verify_signature" },
	{ 0xc2310cdc, "logic_inl" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x901db834, "fd_install" },
	{ 0x712257da, "param_ops_int" },
	{ 0xfcbfec70, "add_memory_driver_managed" },
	{ 0xcf2a6966, "up" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x72b5283b, "pci_disable_msi" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x40f67760, "__put_devmap_managed_page_refs" },
	{ 0xc3f62049, "kmem_cache_create" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x9166fada, "strncpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x5888e093, "cdev_del" },
	{ 0xe20085b5, "dma_buf_map_attachment" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf18300ad, "logic_inb" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3f48fc61, "put_pid" },
	{ 0x55120415, "pci_release_regions" },
	{ 0x1000e51, "schedule" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x9fe939e1, "mpi_powm" },
	{ 0x6074cb3b, "request_firmware" },
	{ 0xfcb70ca5, "pci_bus_type" },
	{ 0x7570987b, "crypto_aead_encrypt" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x54ec0a57, "__alloc_pages" },
	{ 0xc631580a, "console_unlock" },
	{ 0x774550de, "dma_unmap_resource" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x11089ac7, "_ctype" },
	{ 0x69faca11, "pci_enable_msi" },
	{ 0xdcb764ad, "memset" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x98503a63, "mpi_alloc" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x7746e4c9, "kthread_create_on_node" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x77358855, "iomem_resource" },
	{ 0x74ce642d, "is_acpi_device_node" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba3fae4, "class_destroy" },
	{ 0x1724315, "pci_resize_resource" },
	{ 0x33037fd8, "logic_outl" },
	{ 0x4ee92094, "pci_enable_msix_range" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x148653, "vsnprintf" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x264ebee1, "seq_printf" },
	{ 0xa96f11a1, "kthread_stop" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x53b954a2, "up_read" },
	{ 0xab847bcd, "crypto_alloc_shash" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa916b694, "strnlen" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xf86cf7c3, "kernel_read" },
	{ 0x2b80fc9, "__mmap_lock_do_trace_start_locking" },
	{ 0x91483144, "seq_read_iter" },
	{ 0xcb5c6e0e, "dma_free_attrs" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xb5aa353c, "dma_sync_single_for_cpu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x1e81d7d5, "unpin_user_page" },
	{ 0xbb8356d0, "pci_find_capability" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe42adfef, "key_type_asymmetric" },
	{ 0xb10fc19e, "ecc_get_curve" },
	{ 0x7fabd2e1, "try_module_get" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x2d3f916d, "pci_find_host_bridge" },
	{ 0x967722d1, "pci_iomap" },
	{ 0xe18fb3fc, "unmap_mapping_range" },
	{ 0x6626afca, "down" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x2e8276d2, "dma_map_resource" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d651154, "pcibios_resource_to_bus" },
	{ 0xbd297ebf, "pci_stop_and_remove_bus_device" },
	{ 0xbead7139, "fget" },
	{ 0x81bc1534, "kmem_cache_free" },
	{ 0xfaa8f41d, "crypto_shash_final" },
	{ 0x94961283, "vunmap" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xceb1f126, "mpi_read_raw_data" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x37a0cba, "kfree" },
	{ 0x819b2b8e, "filp_close" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd6315f31, "ecc_gen_privkey" },
	{ 0x5ba1ef05, "dma_alloc_attrs" },
	{ 0x8e494bd3, "pci_save_state" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1eeb00fd, "dma_map_page_attrs" },
	{ 0x349cba85, "strchr" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x2ecf7c0, "pm_vt_switch_required" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x3f71661f, "dma_unmap_page_attrs" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0xdb4029b8, "dma_buf_get" },
	{ 0xfe47cbf6, "__free_pages" },
	{ 0xfd745894, "param_ops_charp" },
	{ 0xf743c952, "dma_buf_put" },
	{ 0xd1a10c90, "crypto_alloc_akcipher" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x157edc00, "filp_open" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4ba1fb4c, "dma_map_sg_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6596d111, "pci_unregister_driver" },
	{ 0x8ff1c4c0, "address_space_init_once" },
	{ 0x7775a2ef, "vmalloc_to_page" },
	{ 0x7024f531, "wake_up_process" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xa957ff08, "crypto_shash_setkey" },
	{ 0x223cedc9, "proc_remove" },
	{ 0xdc8defe1, "dma_unmap_sg_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7c39ad76, "dma_buf_fd" },
	{ 0x67a8e665, "on_each_cpu_cond_mask" },
	{ 0x74eeaa46, "seq_puts" },
	{ 0xa8cab133, "pci_clear_master" },
	{ 0x51c837f7, "i2c_del_adapter" },
	{ 0x5a49d5d, "pin_user_pages" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7a8f45c2, "pci_release_resource" },
	{ 0x8f2a09bb, "pci_ats_supported" },
	{ 0xf1e046cc, "panic" },
	{ 0xce219a31, "__mmap_lock_do_trace_released" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xd1e59205, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "DF31DC395A24AB11E73A07C");

MODULE_INFO(suserelease, "SLFO-1.0");
