#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x24d13dd, "request_free_mem_region" },
	{ 0x7b23607e, "nvUvmInterfaceDisableAccessCntr" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xcd40176d, "nvUvmInterfaceChannelDestroy" },
	{ 0xe0211061, "mmu_interval_notifier_remove" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9a138db2, "nvUvmInterfaceQueryCaps" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x49a4293b, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x6276af56, "migrate_device_range" },
	{ 0xe3edda5c, "param_ops_uint" },
	{ 0x55872831, "param_ops_ulong" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4bc0e431, "nvUvmInterfaceUnsetPageDirectory" },
	{ 0xec03a88a, "nvUvmInterfaceInitAccessCntrInfo" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe45112d9, "nvUvmInterfaceTsgDestroy" },
	{ 0x43e66ecb, "nvUvmInterfaceReleaseChannel" },
	{ 0xf54fc9ad, "vmalloc_to_page" },
	{ 0x698f6a77, "nvUvmInterfaceMemoryAllocSys" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8c09644f, "mmu_interval_read_begin" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x55b4744b, "nvUvmInterfaceMemoryCpuMap" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3b644591, "__bitmap_shift_left" },
	{ 0x91831922, "pin_user_pages_remote" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89e0959d, "nvUvmInterfacePagingChannelAllocate" },
	{ 0x2c22b46f, "nvUvmInterfaceCslEncrypt" },
	{ 0x21d29ae4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x78887337, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x3f8e2378, "fget" },
	{ 0xcf2a6966, "up" },
	{ 0xffab807, "nvUvmInterfacePmaFreePages" },
	{ 0x6fcca1a3, "nvUvmInterfacePagingChannelsMap" },
	{ 0xc4d9ddf6, "proc_mkdir_mode" },
	{ 0xaeaf893d, "iommu_dev_disable_feature" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xafd0008b, "nvUvmInterfaceGetExternalAllocPhysAddrs" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9fbd020, "unmap_mapping_range" },
	{ 0x534759f3, "nvUvmInterfaceSetPageDirectory" },
	{ 0x4d7a107f, "nvUvmInterfaceMemoryCpuUnMap" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xd1600093, "nvUvmInterfaceOwnPageFaultIntr" },
	{ 0x942fa6aa, "nvUvmInterfacePagingChannelPushStream" },
	{ 0x60987d14, "seq_lseek" },
	{ 0xd8d29f28, "iommu_sva_bind_device" },
	{ 0xed8fc659, "__put_devmap_managed_page_refs" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x7558dc83, "proc_create_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x14da5421, "handle_mm_fault" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x5ad2dac8, "kmem_cache_create" },
	{ 0xde581a25, "pci_p2pdma_add_resource" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb000909e, "nvUvmInterfaceDupAddressSpace" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0x203a44d1, "nvUvmInterfaceGetExternalAllocPtes" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x85c7cadd, "nvUvmInterfaceCslRotateKey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xfac570a7, "nvUvmInterfaceRegisterGpu" },
	{ 0x4af92167, "get_user_pages_remote" },
	{ 0xc24892eb, "wake_up_process" },
	{ 0xce96a1a4, "nvUvmInterfaceP2pObjectDestroy" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x51b22d40, "pin_user_pages" },
	{ 0x1a0eb564, "hmm_range_fault" },
	{ 0x181dc161, "dma_map_page_attrs" },
	{ 0xe49893bd, "nvUvmInterfaceGetNonReplayableFaults" },
	{ 0xf1d38ffd, "nvUvmInterfaceGetFbInfo" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x2faf51d0, "iommu_dev_enable_feature" },
	{ 0x618911fc, "numa_node" },
	{ 0x9ad73756, "nvUvmInterfaceRetainChannel" },
	{ 0x266dc1ec, "__free_pages" },
	{ 0x28dc75c9, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x9ee2976a, "nvUvmInterfaceCslDecrypt" },
	{ 0x59c9ecd9, "find_vma" },
	{ 0x7bfbe5eb, "nvUvmInterfaceCslLogEncryption" },
	{ 0x5b7e7949, "nvUvmInterfaceHasPendingNonReplayableFaults" },
	{ 0x64a6a01, "nvUvmInterfaceDestroyAccessCntrInfo" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x36e57696, "nvUvmInterfacePagingChannelsUnmap" },
	{ 0x736a9e03, "iommu_get_domain_for_dev" },
	{ 0x11a1a6ad, "cdev_add" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5ad78ac7, "__task_pid_nr_ns" },
	{ 0x1e6462f9, "devm_memunmap_pages" },
	{ 0x4ea5d10, "ksize" },
	{ 0xc2a1bf37, "vm_insert_page" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x223613a4, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x543585fa, "unlock_page" },
	{ 0x27491fbc, "nvUvmInterfaceStopChannel" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x5fea3766, "get_mem_cgroup_from_mm" },
	{ 0x1b556dea, "nvUvmInterfaceCslQueryMessagePool" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7c173634, "__bitmap_complement" },
	{ 0xbef3c5d7, "nvUvmInterfaceTogglePrefetchFaults" },
	{ 0x1ebf5deb, "nvUvmInterfaceDestroyFaultInfo" },
	{ 0x6626afca, "down" },
	{ 0x49f1262d, "nvUvmInterfaceGetNvlinkInfo" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb759d51b, "nvUvmInterfaceCslInitContext" },
	{ 0x7f03ef2d, "nvUvmInterfaceMemoryAllocFB" },
	{ 0x7f450da8, "nvUvmInterfaceDeinitCslContext" },
	{ 0x42f75629, "migrate_vma_setup" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0xb991fa4a, "migrate_vma_pages" },
	{ 0x937d5001, "kmem_cache_free" },
	{ 0x43f8ecd4, "dma_alloc_attrs" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x9166fada, "strncpy" },
	{ 0x897a28fd, "iommu_sva_unbind_device" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeb1a59ab, "nvUvmInterfaceQueryCopyEnginesCaps" },
	{ 0x5d784826, "nvUvmInterfaceCslIncrementIv" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x69eb8138, "nvUvmInterfaceReportNonReplayableFault" },
	{ 0xdf8b46ca, "nvUvmInterfaceGetGpuInfo" },
	{ 0xf82d8f8b, "nvUvmInterfaceBindChannelResources" },
	{ 0xf1e046cc, "panic" },
	{ 0xe3a77193, "vmap" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1138c8e8, "nvUvmInterfaceInitFaultInfo" },
	{ 0xd15a3e1c, "nvUvmInterfaceCslRotateIv" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xaaab9977, "kthread_stop" },
	{ 0x892a63e7, "nvUvmInterfacePagingChannelDestroy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x972eb9e1, "nvUvmInterfaceDeviceCreate" },
	{ 0xae522ff, "iommu_sva_get_pasid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xb116a87c, "int_active_memcg" },
	{ 0x19f28917, "nvUvmInterfaceServiceDeviceInterruptsRM" },
	{ 0xdcb764ad, "memset" },
	{ 0x84ccfdfb, "nvUvmInterfaceDeRegisterUvmOps" },
	{ 0x51f732db, "nvUvmInterfaceFreeDupedHandle" },
	{ 0x6d1dccaa, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xc3d6a591, "unpin_user_page" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x85e8c6c6, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd5057c22, "nvUvmInterfaceMemoryFree" },
	{ 0x71de450f, "nvUvmInterfaceTsgAllocate" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x663cb1d2, "find_vma_intersection" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7e5c9cbd, "migrate_device_finalize" },
	{ 0xece784c2, "rb_first" },
	{ 0x54537d68, "proc_remove" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9f1b1a69, "__mmdrop" },
	{ 0xa2a73812, "kthread_create_on_node" },
	{ 0x63c156ce, "set_page_dirty" },
	{ 0x90df6793, "nvUvmInterfacePmaRegisterEvictionCallbacks" },
	{ 0x67aa2da4, "__mmap_lock_do_trace_start_locking" },
	{ 0xda555714, "seq_read" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x4d0df2ed, "dma_free_attrs" },
	{ 0xa452244c, "nvUvmInterfaceGetEccInfo" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x53478496, "mmput" },
	{ 0xf4f68af, "memremap_pages" },
	{ 0xf7419bbb, "nvUvmInterfaceP2pObjectCreate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x710977d6, "nvUvmInterfaceGetChannelResourcePtes" },
	{ 0x979f3c7c, "param_ops_bool" },
	{ 0x7cd9fd0a, "migrate_device_pages" },
	{ 0xc1f02f56, "nvUvmInterfaceCslSign" },
	{ 0x9620de6b, "migrate_vma_finalize" },
	{ 0x903659b6, "alloc_pages" },
	{ 0x525172f0, "nvUvmInterfaceGetPmaObject" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x7a268ded, "cpu_all_bits" },
	{ 0x2a358239, "__folio_put" },
	{ 0xac83c562, "__mmu_notifier_register" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbcc65769, "seq_printf" },
	{ 0x43d2c81e, "__mmap_lock_do_trace_released" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3385e21, "nvUvmInterfaceSessionDestroy" },
	{ 0xd18cb4c2, "nvUvmInterfaceDupMemory" },
	{ 0x78ba08fc, "nvUvmInterfaceDeviceDestroy" },
	{ 0xd9b60cd6, "nvUvmInterfaceFlushReplayableFaultBuffer" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe701a2bb, "nvUvmInterfaceAddressSpaceCreate" },
	{ 0xaa9c1109, "nvUvmInterfaceUnregisterGpu" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x3693883, "__folio_lock" },
	{ 0xa62da25a, "nvUvmInterfaceAddressSpaceDestroy" },
	{ 0xe02a9acb, "nvUvmInterfaceReportFatalError" },
	{ 0x9b351b38, "mmu_interval_notifier_insert" },
	{ 0xe9c65207, "node_data" },
	{ 0xd5a521cb, "single_release" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x9b02e313, "nvUvmInterfaceRegisterUvmCallbacks" },
	{ 0xccdb149b, "nvUvmInterfacePmaPinPages" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xb783c89d, "nvUvmInterfaceChannelAllocate" },
	{ 0xaa90502, "nvUvmInterfaceGetP2PCaps" },
	{ 0x425912fc, "nvUvmInterfaceEnableAccessCntr" },
	{ 0x3d68c50f, "zone_device_page_init" },
	{ 0xb7cf5f5a, "proc_symlink" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8347c54e, "memunmap_pages" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x4210af1a, "param_ops_int" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x75c4fbbb, "single_open" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x30aeb11d, "nvUvmInterfacePmaUnregisterEvictionCallbacks" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0x246cbff7, "nvUvmInterfaceDupAllocation" },
	{ 0x7b80c97e, "node_to_cpumask_map" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4ca663e, "nvUvmInterfacePmaAllocPages" },
	{ 0xc5980e05, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x8c20b0e8, "cdev_del" },
	{ 0x58b41206, "make_device_exclusive_range" },
	{ 0x372c2a5e, "address_space_init_once" },
	{ 0x6ae3ce99, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4e8f828, "mtree_load" },
	{ 0xbd9bc90d, "nvUvmInterfaceSessionCreate" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "nvidia");


MODULE_INFO(srcversion, "4852AF82E5C2119223D8534");

MODULE_INFO(suserelease, "SLFO-1.0");
